#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

constexpr int MAXTIME = 1440;
constexpr int WALKTIME = 120;

void solve() {
    int n;
    cin >> n;

    std::vector<bool> times(MAXTIME, false);
    for (int i = 1; i <= n; ++i) {
        int x;
        cin >> x;
        times[x] = true;
    }

    auto can_walk = [&](int t) {
        return !count(times.begin() + t + 1, times.begin() + t + WALKTIME, true);
    };

    for (int i = 0; i + WALKTIME <= MAXTIME; ++i) {
        if (!can_walk(i)) continue;
        for (int j = i + WALKTIME; j + WALKTIME <= MAXTIME; ++j) {
            if (can_walk(j)) {
                cout << "YES" << endl;
                return;
            }
        }
    }

    cout << "NO" << endl;
}

int main() {
    int t;
    cin >> t;

    for (int i = 1; i <= t; ++i) solve();

    return 0;
}
